[Résolu] Petit Souci après Mise à Jour WP 3.9.1

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 21)
  • Auteur
    Messages
  • #539126
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour,

    J’ai effectué à l’instant une mise à jour automatique.
    De 3.6 vers 3.9.1.
    En prenant bien soin de vérifier que php et la base de données soient compatible
    avec la nouvelle version WordPress 3.9.1 (Comme d’hab)

    Après avoir fait cette mise à jour.

    Dans mon admin WP j’ai ce message d’erreur qui apparaît :

    Warning: Une erreur inattendue s’est produite. Quelque chose semble ne pas fonctionner avec WordPress.org ou la configuration de ce serveur. Si vous continuez à rencontrer des problèmes, veuillez essayer les forums de support. (WordPress n’a pas pu établir de connexion sécurisée vers WordPress.org. Veuillez contacter l’administrateur de votre serveur.) in /htdocs/public/www/wp-admin/includes/plugin-install.php on line 77

    Si quelqu’un a une idée …
    Afin de résoudre le Problème.
    Ah, oui, Je suis chez AMEN.

    Amicalement Votre à toutes et à tous,
    @ +,
    Hugues.

    #958134
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Si ça peut aider,

    Lorsque j’ouvre via dreamweaver,
    le fichier Php en question soit : Plugin-install.php
    (La Version de Sauvegarde de WP 3.6)
    J’ai cette ligne de code à la ligne 77 :

    set_site_transient( ‘poptags_’ . $key, $tags, 3 * HOUR_IN_SECONDS );

    #958135
    Jelis
    Membre
    Chevalier WordPress
    116 contributions

    Bonjour,

    Il n’y a aucune raison que WordPress établisse une connexion vers wordpress.org. A priori, ça ne peut venir que d’un pluggin qui ne fonctionne pas avec la dernière version de WordPress.

    Désactivez tous vos plugins et réactivez-les un par un pour trouver celui qui dysfonctionne.

    #958136
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour Jelis,

    Merci pour votre réponse 🙂
    Je vais essayer.
    Je vous tiens au courant de la suite des évènements …
    Amicalement à vous,
    Hugues.

    #958137
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour à toutes et à tous,

    La désactivation des Plugins,
    un à un n’a rien donné !
    Oups …
    Le message d’erreur reste en vue,
    au niveau de la fenêtre « mise à jour ».
    (Tableau de bord WP)
    Amicalement,
    @ +,
    Hugues.

    #958138
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    Bonjour,

    – Désactivez tous vos plugins (apparemment, c’est déjà fait), si besoin par FTP en renommant le dossier plugins en pluginsX
    – faites une sauvegarde de votre base de données en passant par PHpMyAdmin
    – Par FTP, sauvegardez votre dossier wp-content, et vos fichiers wp-config, .htaccess et robots.txt
    – Et maintenant, faites une mise à jour manuelle par FTP

    #958139
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour et Merci Flobogo pour votre Réponse 🙂

    Oui, j’en suis effectivement venue à cette solution.
    Pour le moment, la mise à jour des plugins fonctionne.
    Si ce n’est ce message d’erreur persistant,
    Ce qui est étrange ?!%*£$!?
    Puisqu’il n’y a pas de bug « Grave ».
    (Si je puis dire)
    Donc, je laisse comme ça … Pour le moment.
    En attendant la prochaine version WP,
    Que je mettrai à jour en Manuel 🙂
    Amicalement à vous,
    @ +,
    Hugues.

    #958140
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour à toutes et à tous,

    Par contre si vous avez une idée pour effacer les messages d’erreurs ?
    Voici en Image ce que ça donne dans mon tableau de bord (Au niveau des Mises à jours)
    Tableau-de-bord.jpg
    Merci pour votre aide,
    Hugues.

    #958141
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    Vous devriez renvoyer par FTP une version saine (originale) du fichier plugin-install.php qui se trouve dans wp-admin/includes comme l’indique le message d’erreur.

    Je vous avais conseillé de refaire la mise à jour manuelle, vous n’avez pas dû suivre ce conseil et visiblement, le fichier plugin-install.php est corrompu. (ou alors, suite à la MAJ manuelle, c’est le seul qui est mal passé)

    #958142
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour Flobogo,

    Ok, encore merci à vous pour l’info 🙂
    Je fais ça dans les jours qui viennent,
    et je vous tiens informé du Résultat.
    Chaleureusement Votre,
    Hugues :fouet:

    #958143
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Oups,
    Tout compte fait,
    comme ça ne prend pas trop de temps,
    je viens de le faire, à l’instant.
    Le message d’erreur persiste !
    On va y arriver 😉
    Hugues.

    #958144
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    A moins que j’essaye avec ma sauvegarde WP 3.6.
    Quand pensez-vous ?
    WP 3.6 à 3.9 ça ne risque pas de créer des bugs supplémentaires ?
    Je ne me sens pas trop, sur ce coups !
    Qui plus est j’ai ouverts les deux fichiers,
    ils ont pas mal évolués entre temps …
    Et comme je ne suis pas programmeur …
    Vous avez compris …
    Je préfère y aller méfie …
    @ +,
    Hugues.

    #958145
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    Bonjour,

    Je ne suis ni programmeuse, ni codeuse … Mais je peux essayer de vous conseiller quand même 😉

    Pour commencer, je vous déconseille en effet de mettre un fichier plugin-install.php d’une version 3.6 sur votre installation en 3.9.1

    Pour le reste, si j’ai bien suivi : vous êtes passés de la version 3.6 à la 3.9.(1) directement ? Je crois qu’il aurait fallu faire la mise à jour version par version : de la 3.6 à la 3.7, puis à la 3.8 et enfin 3.9.1

    Il faudrait peut-être refaire le chemin inverse 😕
    – Avant tout, faire une sauvegarde complète du dossier wp-content et des fichiers clés par FTP, et de la base de données par PhpMyAdmin.
    – Désactiver tous vos plugins
    – Ensuite, revenir à la version 3.6.x que vous aviez avant, en récupérant la version 3.6.1 dans les archives des versions WP et en la renvoyant par FTP
    – Puis, mettre à jour manuellement (= par FTP) vers la 3.7.3
    – Et recommencer avec la version 3.8.3
    – Et enfin, la version 3.9.1

    Ce sera un peu long, il faut « vous y coller » deux-trois heures, mais au moins, ça devrait fonctionner …

    #958146
    Hugues2
    Participant
    Chevalier WordPress
    209 contributions

    Bonjour Flobogo,

    Merci à nouveau à vous pour votre réponse 🙂
    Effectivement, j’y avais pensé.
    Ce qui me semble étrange,
    C’est qu’il n’y est que ce petit bug.
    Sans gravité, puisque les plugins se mettent à jour,
    comme avant,
    sauf que j’ai ce message d’erreur et c’est TOUT !
    TOUT LE RESTE DANS SON ENSEMBLE FONCTIONNE CORRECTEMENT.
    C’est là ou je ne comprends pas ?!%*$£!?
    Il doit y avoir une toute petite ligne de code qui a changé.
    C’est donc une erreur mineure.
    Comme je peux contourner le souci en mettant à jour mes plugins manuellement.
    Je vais attendre un peu avant d’agir à la va vite …
    Je ne dois pas être le seul dans ce cas…
    En général, je fais la mise à jour WP entre 1 et deux fois par ans.
    Je n’ai JAMAIS jusqu’à ce jour rencontré de souci …
    Si quelqu’un comprend ce qui se passe …. (A qui c’est arrivé)
    (Ou qui maîtrise le code.)
    Je suis preneur 🙂
    Quoi qu’il en soit,
    un très grand Merci à vous Flobogo 🙂
    Amicalement,
    et à très bientôt,
    Hugues.

    #958147
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    Mmmouais, à vous de voir …
    Il est conseillé de faire les MAJ … à chaque mise à jour.
    C’est vrai que fin 2013, il y en a eu un peu plus que d’habitude (je dis ça, je ne suis sous WP que depuis 2012 😉 )

    C’est important aussi en termes de sécurité. Et puis un WordPress à jour, c’est la garantie d’un fonctionnement optimal avec les plugins.
    Bon, là, c’est vrai que ça n’a pas l’air bien méchant, mais …
    En tous cas, je ne sais pas vous aider autrement, à part de tout réinstaller en versions successives 😕

15 sujets de 1 à 15 (sur un total de 21)
  • Vous devez être connecté pour répondre à ce sujet.